Subject: Re: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Nov 2015 22:29:18 +0200

> From: John Wiegley <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Richard Stallman <[email-masked]>,  [email-masked]
> Date: Thu, 19 Nov 2015 11:05:31 -0800
> 
> >>>>> Juanma Barranquero <[email-masked]> writes:
> 
> > At least on Windows, that's not entirely true. I compile with very pedantic
> > switches.
> 
> I'd love to address those as well, although I can't make it a blocker for
> release. GNU platforms will have to determine the "gold standard", even if we
> make it a point of pride to tackle warnings everywhere we find them.

There's no reason whatsoever that warnings about discarding 'const'
should block any release.